Package org.eclipse.compare.contentmergeviewer

# Interface IIgnoreWhitespaceContributor

public interface IIgnoreWhitespaceContributor

Since:
  3.9

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isIgnoredWhitespace(int lineNumber, int columnNumber)`
Method is called when a whitespace is detected in the "ignore whitespace" action run in the compare view.

## Method Details

### isIgnoredWhitespace

boolean isIgnoredWhitespace(int lineNumber, int columnNumber)
Method is called when a whitespace is detected in the "ignore whitespace" action run in the compare view. Implementors of this method can specify if whitespace can be ignored or not (e.g. whitespace in literals should never be ignored and always shown as diff).

Parameters:
  `lineNumber` - line number in source code starting at number zero
  `columnNumber` - column number of current line starting at number zero
Returns:
  boolean